## Orthography

Orthography — Font language support

## Functions

FontManagerOrthography * | font_manager_orthography_new ()
GList * | font_manager_orthography_get_filter ()

## Properties

double | coverage | Read / Write
char * | name | Read / Write
char * | native | Read / Write
char * | sample | Read / Write
JsonObject * | source-object | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_ORTHOGRAPHY
| FontManagerOrthography

## Object Hierarchy

        GObject
        ╰── FontManagerJsonProxy
            ╰── FontManagerOrthography

## Includes

    #include <font-manager-orthography.h>

## Description

A FontManagerOrthography holds information about the extent to which a font supports a particular language.

In addition to the english name, it includes the untranslated name of the orthography along with a pangram or sample string for the language, if available.

    1
    2
    3
    4
    5
    6
    7

    {
      "name" : string,
      "native" : string,
      "sample" : string,
      "coverage" : double,
      "filter" : [ ]
    }

filter is a JsonArray of available codepoints

## Functions

### font_manager_orthography_new ()

    FontManagerOrthography *
    font_manager_orthography_new (JsonObject *orthography);

`orthography` should be one of the members of the object returned by `font_manager_get_orthography_results()`

#### Parameters

orthography | JsonObject containing orthography results |

#### Returns

A newly created FontManagerOrthography. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_orthography_get_filter ()

    GList *
    font_manager_orthography_get_filter (FontManagerOrthography *self);

#### Parameters

self | FontManagerOrthography. | [nullable]

#### Returns

GList containing codepoints. Free the returned GList using ``g_list_free()``.

[element-type uint][transfer container][nullable]

## Types and Values

### FONT_MANAGER_TYPE_ORTHOGRAPHY

    #define FONT_MANAGER_TYPE_ORTHOGRAPHY (font_manager_orthography_get_type ())

### FontManagerOrthography

    typedef struct _FontManagerOrthography FontManagerOrthography;

## Property Details

### The `“coverage”` property

      “coverage”                 double

Coverage as a percentage.

Owner: FontManagerOrthography

Flags: Read / Write

Default value: 0

### The `“name”` property

      “name”                     char *

English name for orthography.

Owner: FontManagerOrthography

Flags: Read / Write

Default value: NULL

### The `“native”` property

      “native”                   char *

Native name for orthography.

Owner: FontManagerOrthography

Flags: Read / Write

Default value: NULL

### The `“sample”` property

      “sample”                   char *

Pangram or sample string.

Owner: FontManagerOrthography

Flags: Read / Write

Default value: NULL

### The `“source-object”` property

      “source-object”            JsonObject *

JsonObject source for this class.

Owner: FontManagerOrthography

Flags: Read / Write